[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Qemu-devel] [PATCH 14/14] tests: acpi: refactor rebuild-expected-aml.sh
From: |
Igor Mammedov |
Subject: |
[Qemu-devel] [PATCH 14/14] tests: acpi: refactor rebuild-expected-aml.sh to dump ACPI tables for a specified list of targets |
Date: |
Tue, 15 Jan 2019 16:41:06 +0100 |
Make initial list contain aarch64 and x86_64 targets.
Signed-off-by: Igor Mammedov <address@hidden>
---
tests/data/acpi/rebuild-expected-aml.sh | 23 +++++++++++------------
1 file changed, 11 insertions(+), 12 deletions(-)
diff --git a/tests/data/acpi/rebuild-expected-aml.sh
b/tests/data/acpi/rebuild-expected-aml.sh
index bf9ba24..6287aa6 100755
--- a/tests/data/acpi/rebuild-expected-aml.sh
+++ b/tests/data/acpi/rebuild-expected-aml.sh
@@ -7,21 +7,12 @@
#
# Authors:
# Marcel Apfelbaum <address@hidden>
+# Igor Mammedov <address@hidden>
#
# This work is licensed under the terms of the GNU GPLv2.
# See the COPYING.LIB file in the top-level directory.
-qemu=
-
-if [ -e x86_64-softmmu/qemu-system-x86_64 ]; then
- qemu="x86_64-softmmu/qemu-system-x86_64"
-elif [ -e i386-softmmu/qemu-system-i386 ]; then
- qemu="i386-softmmu/qemu-system-i386"
-else
- echo "Run 'make' to build the qemu exectutable!"
- echo "Run this script from the build directory."
- exit 1;
-fi
+qemu_bins="aarch64-softmmu/qemu-system-aarch64
x86_64-softmmu/qemu-system-x86_64"
if [ ! -e "tests/bios-tables-test" ]; then
echo "Test: bios-tables-test is required! Run make check before this
script."
@@ -29,6 +20,14 @@ if [ ! -e "tests/bios-tables-test" ]; then
exit 1;
fi
-TEST_ACPI_REBUILD_AML=y QTEST_QEMU_BINARY=$qemu tests/bios-tables-test
+for qemu in $qemu_bins; do
+ if [ ! -e $qemu ]; then
+ echo "Run 'make' to build following the qemu exectutables: $qemu_bins"
+ echo "Run this script from the build directory."
+ exit 1;
+ fi
+ TEST_ACPI_REBUILD_AML=y QTEST_QEMU_BINARY=$qemu tests/bios-tables-test
+done
+
echo "The files were rebuilt and can be added to git."
--
2.7.4
- Re: [Qemu-devel] [PATCH 10/14] tests: acpi: ignore SMBIOS tests when UEFI firmware is used, (continued)
- Re: [Qemu-devel] [PATCH 10/14] tests: acpi: ignore SMBIOS tests when UEFI firmware is used, Gerd Hoffmann, 2019/01/16
- Re: [Qemu-devel] [PATCH 10/14] tests: acpi: ignore SMBIOS tests when UEFI firmware is used, Igor Mammedov, 2019/01/16
- Re: [Qemu-devel] [PATCH 10/14] tests: acpi: ignore SMBIOS tests when UEFI firmware is used, Laszlo Ersek, 2019/01/16
- Re: [Qemu-devel] [PATCH 10/14] tests: acpi: ignore SMBIOS tests when UEFI firmware is used, Igor Mammedov, 2019/01/17
- Re: [Qemu-devel] [PATCH 10/14] tests: acpi: ignore SMBIOS tests when UEFI firmware is used, Michael S. Tsirkin, 2019/01/16
[Qemu-devel] [PATCH 12/14] tests: acpi: prepare AVMF firmware blobs to be used by bios-tables-test, Igor Mammedov, 2019/01/15
[Qemu-devel] [PATCH 13/14] tests: acpi: add simple arm/virt testcase, Igor Mammedov, 2019/01/15
[Qemu-devel] [PATCH 14/14] tests: acpi: refactor rebuild-expected-aml.sh to dump ACPI tables for a specified list of targets,
Igor Mammedov <=
Message not available
- Re: [Qemu-devel] [PATCH 11/14] tests: acpi: add AVMF firmware blobs, Laszlo Ersek, 2019/01/15
- Re: [Qemu-devel] [PATCH 11/14] tests: acpi: add AVMF firmware blobs, Igor Mammedov, 2019/01/16
- Re: [Qemu-devel] [PATCH 11/14] tests: acpi: add AVMF firmware blobs, Michael S. Tsirkin, 2019/01/16
- Re: [Qemu-devel] [PATCH 11/14] tests: acpi: add AVMF firmware blobs, Laszlo Ersek, 2019/01/17
- Re: [Qemu-devel] [PATCH 11/14] tests: acpi: add AVMF firmware blobs, Laszlo Ersek, 2019/01/17
- Re: [Qemu-devel] [PATCH 11/14] tests: acpi: add AVMF firmware blobs, Gerd Hoffmann, 2019/01/17
- Re: [Qemu-devel] [PATCH 11/14] tests: acpi: add AVMF firmware blobs, Laszlo Ersek, 2019/01/17
- Re: [Qemu-devel] [PATCH 11/14] tests: acpi: add AVMF firmware blobs, Gerd Hoffmann, 2019/01/17